# PXMLRPCVariableBase Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCVariableBase:

List of all members.

## Public Member Functions

const char * | GetName () const
const char * | GetType () const
virtual void | Copy (const PXMLRPCVariableBase &other)=0
virtual PString | ToString (PINDEX i) const
virtual void | FromString (PINDEX i, const PString &str)
virtual PXMLRPCStructBase * | GetStruct (PINDEX i) const
virtual PBoolean | IsArray () const
virtual PINDEX | GetSize () const
virtual PBoolean | SetSize (PINDEX)
PString | ToBase64 (PAbstractArray &data) const
void | FromBase64 (const PString &str, PAbstractArray &data)

## Protected Member Functions

| PXMLRPCVariableBase (const char *name, const char *type=NULL)

## Protected Attributes

const char * | name
const char * | type

## Constructor & Destructor Documentation

PXMLRPCVariableBase::PXMLRPCVariableBase | ( | const char * | name,
|  | const char * | type = `NULL` |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual void PXMLRPCVariableBase::Copy | ( | const PXMLRPCVariableBase & | other | ) | `[pure virtual]`

Implemented in PXMLRPCArrayBase.

void PXMLRPCVariableBase::FromBase64 | ( | const PString & | str,
|  | PAbstractArray & | data |
| ) |  |  |

virtual void PXMLRPCVariableBase::FromString | ( | PINDEX | i,
|  | const PString & | str |
| ) |  |  | `[virtual]`

Reimplemented in PXMLRPCArrayObjectsBase.

const char* PXMLRPCVariableBase::GetName | ( |  | ) | const`[inline]`

virtual PINDEX PXMLRPCVariableBase::GetSize | ( |  | ) | const`[virtual]`

Reimplemented in PXMLRPCArrayBase.

virtual PXMLRPCStructBase* PXMLRPCVariableBase::GetStruct | ( | PINDEX | i | ) | const`[virtual]`

const char* PXMLRPCVariableBase::GetType | ( |  | ) | const`[inline]`

virtual PBoolean PXMLRPCVariableBase::IsArray | ( |  | ) | const`[virtual]`

Reimplemented in PXMLRPCArrayBase.

virtual PBoolean PXMLRPCVariableBase::SetSize | ( | PINDEX |  | ) | `[virtual]`

Reimplemented in PXMLRPCArrayBase, and PXMLRPCArrayObjectsBase.

PString PXMLRPCVariableBase::ToBase64 | ( | PAbstractArray & | data | ) | const

virtual PString PXMLRPCVariableBase::ToString | ( | PINDEX | i | ) | const`[virtual]`

Reimplemented in PXMLRPCArrayObjectsBase.

## Member Data Documentation

const char* PXMLRPCVariableBase::name `[protected]`

const char* PXMLRPCVariableBase::type `[protected]`

The documentation for this class was generated from the following file:

- pxmlrpc.h